%define LANG de
Name: man-pages-%LANG
Version: 0.4
Release: alt1

Summary: German man (manual) pages from the Linux Documentation Project
Summary(de): Deutsche Man-Pages (Handbuch) vom Linux-Documentation Projekt.

License: distributable
Group: System/Internationalization

Url: http://www.Infodrom.North.DE/Linux/manpages-de/
Source: ftp://ftp.Infodrom.North.DE/pub/Linux/Devel/manpages-%LANG-%version.tar.bz2
Source1: makewhatis.%LANG.bz2
Patch0: %name-0.2-rofffixes.patch
Patch1: %name-0.3-nolocalfile.patch

PreReq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Obsoletes: man-%LANG, manpages-%LANG
Provides: man-%LANG = %version, manpages-%LANG = %version

%description
A large collection of man pages (reference material) from the Linux
Documentation Project (LDP), translated to German.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd,
                nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)

%description -l de
Eine groe Sammlung deutscher man-pages (Handbuch) von Linux-Documentation
Projekt (LDP). Die man-pages sind in die folgenden Abschnitte unterteilt:

        Abschnitt 1:  Benutzer-Befehle (nur Einfhrung)
        Abschnitt 2:  System-Aufrufe
        Abschnitt 3:  libc-Aufrufe
        Abschnitt 4:  Gerte (z.B., hd, sd)
        Abschnitt 5:  Dateiformate und Protokolle (z.B., wtmp, /etc/passwd,
                      nfs)
        Abschnitt 6:  Spiele (nur Einfhrung)
        Abschnitt 7:  Konventionen, Makro-Pakete, usw. (z.B., nroff, ascii)
        Abschnitt 8:  Systemadministration (nur Einfhrung)

%prep
%setup -q -n manpages-%{LANG}-%{version}
#%patch0 -p1
%patch1 -p1

%build
%install
mkdir -p $RPM_BUILD_ROOT/%_mandir/%LANG/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/%_x11mandir/%LANG
mkdir -p $RPM_BUILD_ROOT%_cachedir/man/%LANG/cat{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT%_cachedir/man/X11R6/%LANG/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8; do
	cp -avrf man$i $RPM_BUILD_ROOT/%_mandir/%LANG/
done

# those files conflict whith net-tools
rm -f $RPM_BUILD_ROOT/%_mandir/de/man1/hostname.1

#missing
rm -f $RPM_BUILD_ROOT/%_mandir/%LANG/man3/{asc,gm,local,c,mk}time.3

%post -p /etc/cron.daily/makewhatis

%postun
if [ "$1" = 0 ] ; then
       %__rm -rf %_cachedir/man/%LANG
fi
       
%files
%doc CHANGES README COPYRIGHT
%_mandir/%LANG
%_x11mandir/%LANG
%dir %_cachedir/man/%LANG
%defattr(775,root,man)
%_cachedir/man/%LANG/cat*
%defattr(775,root,man)
%_cachedir/man/X11R6/%LANG/cat*

%changelog
* Thu Aug 08 2002 Stanislav Ievlev <inger@altlinux.ru> 0.4-alt1
- 0.4

* Tue Mar 19 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3-alt2
- light cleanups

* Mon Oct 29 2001 Stanislav Ievlev <inger@altlinux.ru> 0.3-alt1
- 0.3

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-11mdk
- build release for BM
- fix build as user (whatis)

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-10mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS.
- spechelper, permissions

* Tue Mar 28 2000 Denis Havlik <denis@mandrakesoft.com> 0.2-8mdk
- convert to new group scheme
- add "Prereq: sed grep man"

* Mon Jan 10 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- removed hostname(1), it conflicts with file provided by net-tools

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%LANG from /usr/local/sbin to /usr/sbin

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed the name from man-de to man-pages-de, to make it consistent
  with the english man pages package.
- merged with the rpm package I mantained before; that is I added an icon,
  the /var/catman/de tree, a makewhatis.de script, and a cron entry to run it

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Initial version.
- Add a script for /etc/man.config

